<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTurnOnAlarmClock.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d04/_action_turn_on_alarm_clock_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionTurnOnAlarmClock.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/ddc/class_action_turn_on_alarm_clock_c_b.html">ActionTurnOnAlarmClockCB</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4cd7a493c474efb1a45c10ef85fa1280"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/ddc/class_action_turn_on_alarm_clock_c_b.html">ActionTurnOnAlarmClockCB</a> <a class="el" href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#a4cd7a493c474efb1a45c10ef85fa1280">ActionTurnOnAlarmClock</a> ()</td></tr>
<tr class="separator:a4cd7a493c474efb1a45c10ef85fa1280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17d56d9114803365559fe0eb60799d67"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#a17d56d9114803365559fe0eb60799d67">CreateActionComponent</a> ()</td></tr>
<tr class="separator:a17d56d9114803365559fe0eb60799d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addc04d3967e021e6b6bd259b82de083e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#addc04d3967e021e6b6bd259b82de083e">HasProneException</a> ()</td></tr>
<tr class="separator:addc04d3967e021e6b6bd259b82de083e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa4864fae11769c65e644b5fd97c66"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa9aa4864fae11769c65e644b5fd97c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c6922d796bdf663f49119e83fe26f8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#a26c6922d796bdf663f49119e83fe26f8">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a26c6922d796bdf663f49119e83fe26f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa9aa4864fae11769c65e644b5fd97c66" name="aa9aa4864fae11769c65e644b5fd97c66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa4864fae11769c65e644b5fd97c66">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">ActionTurnOnAlarmClock.c</a>.</p>

</div>
</div>
<a id="a4cd7a493c474efb1a45c10ef85fa1280" name="a4cd7a493c474efb1a45c10ef85fa1280"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cd7a493c474efb1a45c10ef85fa1280">&#9670;&#160;</a></span>ActionTurnOnAlarmClock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/ddc/class_action_turn_on_alarm_clock_c_b.html">ActionTurnOnAlarmClockCB</a> <a class="el" href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a> ActionTurnOnAlarmClock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">ActionTurnOnAlarmClock.c</a>.</p>

</div>
</div>
<a id="a17d56d9114803365559fe0eb60799d67" name="a17d56d9114803365559fe0eb60799d67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17d56d9114803365559fe0eb60799d67">&#9670;&#160;</a></span>CreateActionComponent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionTurnOnAlarmClock::CreateActionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">ActionTurnOnAlarmClock.c</a>.</p>

</div>
</div>
<a id="addc04d3967e021e6b6bd259b82de083e" name="addc04d3967e021e6b6bd259b82de083e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addc04d3967e021e6b6bd259b82de083e">&#9670;&#160;</a></span>HasProneException()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> HasProneException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">ActionTurnOnAlarmClock.c</a>.</p>

</div>
</div>
<a id="a26c6922d796bdf663f49119e83fe26f8" name="a26c6922d796bdf663f49119e83fe26f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26c6922d796bdf663f49119e83fe26f8">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00039">39</a> of file <a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html">ActionTurnOnAlarmClock.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html">ActionTurnOnAlarmClock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
